# hy-cta-link-button

<!-- Auto Generated Below -->

## Properties

| Property      | Attribute      | Description          | Type      | Default     |
| ------------- | -------------- | -------------------- | --------- | ----------- |
| `isExternal`  | `is-external`  |                      | `boolean` | `false`     |
| `linkContent` | `link-content` | deprecated, use slot | `string`  | `''`        |
| `scLabel`     | `sc-label`     |                      | `string`  | `undefined` |
| `url`         | `url`          |                      | `string`  | `undefined` |

## Dependencies

### Used by

- [hy-cta-liftup-image-text](../cta-liftup-image-text)

### Depends on

- [hy-icon](../icon)

### Graph

```mermaid
graph TD;
  hy-cta-link-button --> hy-icon
  hy-cta-liftup-image-text --> hy-cta-link-button
  style hy-cta-link-button fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
