import { newE2EPage } from '@stencil/core/testing';
import { AxePuppeteer } from "axe-puppeteer";
import { Page } from "puppeteer";

describe('hy-cta-liftup-image-text', () => {
  it('cta liftup image text passes axe a11y tests', async () => {
      const page = await newE2EPage();
      await page.setContent('<hy-cta-liftup-image-text></hy-cta-liftup-image-text>');

      const results = await new AxePuppeteer((page as any) as Page)
          .include("hy-cta-liftup-image-text")
          .analyze();
      expect(results.violations).toHaveLength(0);
      await page.close();
  });
});
